#define SUPPORT_LISBON
inline void IO_InitLisbon(void)
{
	gotype_current.id                 = GOTYPE_LISBON;
	gotype_current.caseid             = GOCASE_BILBAO;
	gotype_current.name               = "TomTom RIDER";
	gotype_current.usbname            = "RIDER";
	gotype_current.familyname         = "TomTom RIDER";
	gotype_current.projectname        = "BILBAO";
	gotype_current.btname             = gotype_current.name;
	gotype_current.requiredbootloader = "3.04";
	gotype_current.cputype            = GOCPU_S3C2440;
	gotype_current.linuxfreq          = 376800000;
	gotype_current.bootloaderfreq     = 288000000;

	gotype_current.bluetooth          = 1;
	gotype_current.btchip             = GOBT_BC3;
	gotype_current.btspeed            = 921600;
	gotype_current.btclock            = 16000000;
	gotype_current.btclass            = 0x200408;
	gotype_current.handsfree          = 1;
	gotype_current.headsetgw          = 1;

	gotype_current.lowbutton          = 1;
	gotype_current.chargertype        = GOCHARGER_LTC1733;
	gotype_current.sdcard             = 1;
	gotype_current.gpio_autoshutdown  = 0;
	gotype_current.tfttype            = GOTFT_SAMSUNG_LTV350;
	gotype_current.tsxchannel         = 5;
	gotype_current.tsychannel         = 7;
	gotype_current.gpstype            = GOGPS_SIRF3;
	gotype_current.codectype          = GOCODEC_WM8971;
	gotype_current.usbslavetype       = GOUSB_S3C24XX;
	gotype_current.memsize            = 32;
	gotype_current.ohciports          = 0x01;
	
	IO_InitAtlanta();

	// Pins that are only applicable for Bilbao
	gotype_current.pins.DOCK_MOTOR_SENSE = PIN_GPJ10 | PIN_INVERTED;
	gotype_current.pins.DOCK_SENSE       = PIN_GPJ8 | PIN_INVERTED;
	gotype_current.pins.IGNITION         = PIN_GPF3 | PIN_INVERTED; // DOCK_GP1 is used as IGNITION
}
