/* Special cases when going into suspend mode (default is deactivation on suspend) */

inline void IO_InitSuspend(void)
{
	PIN_ADD_MASK(CD_SD             , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(WP_SD             , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(CHARGEFAULT       , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(CHARGING          , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(BATT_TEMP_OVER    , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(LIGHTS_DETECT     , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(DOCK_SENSE        , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(DOCK_CRIB_SENSE   , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(DOCK_MOTOR_SENSE  , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(DOCK_INT          , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(LINEIN_DETECT     , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(FSK_IRQ           , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(SPIMSO            , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(HEADPHONE_DETECT  , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(EXTMIC_DETECT     , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(CTS_DOCK          , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(RTS_DOCK          , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(TXD_DOCK          , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(RXD_DOCK          , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(RXD_DOCK_INT      , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(RXD_BT            , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(CTS_BT            , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(USB_HOST_DETECT   , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(ON_OFF            , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(IGNITION          , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(ACPWR             , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(FLEX_ID1          , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(FLEX_ID2          , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(HDD_IRQ           , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(HDD_LED           , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(HDD_RST           , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(USB_RST           , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(LCD_RESET         , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(LCD_CS            , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(GPS_RESET         , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(BT_RESET          , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(BT_MODE           , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(USB_DREQ          , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(USB_IRQ           , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(USB_HP            , PIN_IGNORE_ON_SUSPEND);
	PIN_ADD_MASK(USB_PWR_BYPASS    , PIN_IGNORE_ON_SUSPEND);
	PIN_ADD_MASK(USB_SUSPEND_OUT   , PIN_IGNORE_ON_SUSPEND);
	PIN_ADD_MASK(FACTORY_TEST_POINT, PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(XPON              , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(YPON              , PIN_ACTIVATE_ON_SUSPEND);

	if (IO_HavePicDetected())
	{
		PIN_ADD_MASK(PIC_DETECT        , PIN_INPUT_ON_SUSPEND);
	}
}
